Skip to main content
Weavr Multi Product API
Outgoing Wire Transfers

Cancel an outgoing wire transfer transaction

POST/outgoing_wire_transfers/{id}/cancel

Cancel the outgoing wire transfer identified by the id path parameter.

Request

Path parameters

Request body

application/json
{}
TransactionSingleCancelRequestTransactionSingleCancelRequest · object · 1 field

Responses

200OK

Success

Headers
Body
application/json
{}
OutgoingWireTransferOutgoingWireTransfer · object · 16 fields
Response example
{  "id": "string",  "profileId": "string",  "tag": "string",  "sourceInstrument": {    "type": "managed_accounts",    "id": "string"  },  "transferAmount": {    "currency": "string",    "amount": 0  },  "description": "string",  "type": "SEPA",  "destination": {    "name": "string",    "type": "PERSONAL",    "address": "string",    "bankName": "string",    "bankAddress": "string",    "bankCountry": "string",    "bankAccountDetails": {      "iban": "string",      "bankIdentifierCode": "string"    },    "nationality": "string",    "dateOfBirth": "2024-01-01"  },  "state": "INVALID",  "rejectedInfo": "SYSTEM",  "challengeExemptionReason": "LOW_VALUE",  "creationTimestamp": 0,  "scheduledTimestamp": "string",  "executionTimestamp": "string",  "cancellationReason": "string",  "validationOutcomes": [    {      "category": "UK_CONFIRMATION_OF_PAYEE",      "categoryResult": {        "match": "EXACT_MATCH",        "reasonCode": "ANNM",        "accountName": "string"      }    }  ]}